


.equ eep_vol_byte=$01;			Set location for Volume Byte
.equ eep_To_byte=$00;	

;*************  Reading Last known Volume from EEProm *************
;***    	return in r0				***



EEP_readvol:
ldi r16,eep_vol_byte;
out EEAR,r16;			Setup Adress
sbi EECR,0;			Start EEProm Read
nop;
nop;
nop;
in r16,EEDR;			Read Data

mov r0,r16;			Store Data

ret;

;*************  Reading To byte 	      *************
;***    	return in r3				***



EEP_readto:
ldi r16,eep_To_byte;
out EEAR,r16;			Setup Adress
sbi EECR,0;			Start EEProm Read
nop;
nop;
nop;
in r16,EEDR;			Read Data
mov r3,r16;
ret;

;*************  Stroing Volume to EEProm *************
;***    	value in r0	                   ***



EEP_storevol:
ldi r16,eep_vol_byte;
out EEAR,r16;			Setup Adress

mov r16,r0;
out EEDR,r16;			Setup Data

sbi EECR,1;			Start EEProm Write
eep_sv_loop:
sbic EECR,1;			wait until bit is cleared
rjmp eep_sv_loop;



ret;



;*************  Stroing Volume to EEProm *************
;***    	value in r16,adress in r17         ***



EEP_store:

out EEAR,r17;			Setup Adress


out EEDR,r16;			Setup Data

sbi EECR,1;			Start EEProm Write
eep_s_loop:
sbic EECR,1;			wait until bit is cleared
rjmp eep_s_loop;



ret;
