
reset:
rjmp main;
.equ maxvolume=220;			Set maximum Startvolume
.include "1200DEF.INC"

;************** Version for Up/Dwn switch *****************
;************** Without IR Control        *****************

.include "PGA2310.asm"
.include "EEPROM.asm"
.include "Switch.asm"
.include "timer.asm"




main:

rcall pga_init;
rcall timer_init_switch;



rcall EEP_readvol;




;******** Init ends here ***********



mainloop:


rcall switch_check;		read switches

cpi r16,1;			switch up?
brne main_check_dwn;		No -> Jump & check down

rcall pga_incvol;		inc volume & set
ldi r16,40;			wait 40ms
rcall timer_waitnms;
rjmp main_check_nothing;	exit switch checking


main_check_dwn:
cpi r16,2;			switch down?			
brne main_check_nothing;	No -> Jump & exit switch checking

rcall pga_decvol;		dec volume & set
ldi r16,40;			wait 40ms
rcall timer_waitnms;
rjmp main_check_nothing;	exit switch checking

rjmp main_check_nothing;


main_check_nothing:






rjmp mainloop;