

;************* init switch Timer ****************


timer_init_switch:


ldi r16,2;
out TCCR0,r16;		set timer to fclk/8=4s per Tick


ret;


;************* Timer wait n ms   ****************
;************* r16=n             ****************

timer_waitnms:


mov r19,r16;		store n in r19


timer_waitnms_loop:

ldi r18,0;
out TCNT0,r18;		clear Timer
ldi r18,2;
out TIFR,r18;		clear overflow flag

ldi r18,2;
timer_waitms_1ms:


in r20,TIFR;
sbrs r20,1;		skip next if overfl. flag is set
rjmp timer_waitms_1ms;
ldi r20,2;
out TIFR,r20;		clear overflow flag

dec r18;		counter --
brne timer_waitms_1ms;	counter=0? -> No -> Loop again !

dec r19;		n --
brne timer_waitnms_loop; n=0? -> No -> Loop again


ret;


